﻿@model SelectedPrograms
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1 ng-if="MC.stateParams.reportName != 'FollowupForm' && MC.stateParams.reportName != 'RegistrationForm' && MC.stateParams.reportName != 'ChargeDiscount' && MC.stateParams.reportName != 'InstructorCheckin' && MC.stateParams.reportName != 'Roster' && MC.stateParams.reportName != 'AdvanceRoster' && MC.stateParams.reportName != 'SubscriptionRoster'&& MC.stateParams.reportName != 'SignOut' && MC.stateParams.reportName != 'SubscriptionInternal' && MC.stateParams.reportName != 'InstructorRoster' && MC.stateParams.reportName != 'StudentAttendance' && MC.stateParams.reportName != 'StudentSummaryAttendance' && MC.stateParams.reportName != 'SignOutSheet' && MC.stateParams.reportName != 'Capacity' && MC.stateParams.reportName != 'ParentEmailsList' && MC.stateParams.reportName != 'PreRegistration' && MC.stateParams.reportName != 'SubscriptionAttendance' && MC.stateParams.reportName != 'DismissalInformation'  && MC.stateParams.reportName != 'CustomAttendance'">
                {{MC.stateParams.reportName}} Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'Capacity'">
                Capacities and waitlists Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'FollowupForm'">
                Follow-up Forms Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'RegistrationForm'">
                Registration Forms Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'ChargeDiscount'">
                Charge/Discount Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'InstructorCheckin'">
                Instructor Check-in Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'SignOutSheet'">
                Sign-out Sheet Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'DismissalInformation'">
                Dismissal information Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'Roster'">
                Class Roster Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'AdvanceRoster'">
                Advance Roster Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'SubscriptionRoster'">
                Subscription Roster Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'SignOut'">
                Sign Out Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'SubscriptionAttendance'">
                Attendance Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'SubscriptionInternal'">
                Internal roster Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'InstructorRoster'">
                Instructor Roster Forms Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'StudentAttendance'">
                Student Attendance Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'StudentSummaryAttendance'">
                Student Attendance - Summary Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'CustomAttendance'">
                Attendance sheet Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'ParentEmailsList'">
                Parent Emails List Report
            </h1>
            <h1 ng-if="MC.stateParams.reportName == 'PreRegistration'">
                Pre Registration Report
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix"></div>
    <div ng-if="MC.stateParams.reportName != 'ChargeDiscount' && MC.stateParams.reportName != 'Roster' && MC.stateParams.reportName != 'SubscriptionRoster' && MC.stateParams.reportName != 'SignOut' && MC.stateParams.reportName != 'InstructorRoster' && MC.stateParams.reportName != 'StudentAttendance' && MC.stateParams.reportName != 'StudentSummaryAttendance' && MC.stateParams.reportName != 'SignOutSheet'&& MC.stateParams.reportName != 'SubscriptionInternal' && MC.stateParams.reportName != 'SubscriptionAttendance' && MC.stateParams.reportName != 'DismissalInformation' && MC.stateParams.reportName != 'CustomAttendance'">
        <form ng-submit="runReport()" class="no-margin">
            <p>
                Do you want to run this report on all the programs in this season or only some programs? <br />
                <strong class="fg-red">Running the report on all programs might take a few minutes to complete.</strong>
            </p>
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                    <label class="block">
                        <input ng-model="@Html.Ang(m => m.IsAllPrograms)" name="isallprogram" value="true" type="radio" ng-change="updateChosenScope()" />
                        <span class="check"></span>
                        All programs
                    </label>
                </div>
                <div class="input-control radio default-style place-left no-margin padding-left20" data-role="input-control">
                    <label class="block">
                        <input ng-model="@Html.Ang(m => m.IsAllPrograms)" name="isallprogram" value="false" type="radio" ng-change="updateChosenScope()" />
                        <span class="check"></span>
                        Selected programs
                    </label>
                </div>
            </div>
            <div class="input-control choosen" data-role="input-control" ng-show="Model.IsAllPrograms == 'false'">
                <select chosen multiple
                        ng-model="Model._SelectedPrograms"
                        data-placeholder="Select some programs"
                        ng-options="obj.Value as obj.Text for obj in Model.AllPrograms"></select>
            </div>

            <hr />

            <button type="submit" class="success large place-right button">Run</button>
            <div class="clearfix"></div>
            <div ng-show="MC.stateParams.reportName == 'RegistrationForm'">
                <fieldset>
                    <legend>Include the following items in this report :</legend>

                    <label>
                        <span class="check">
                            <input ng-model="Model.IncludeForms.Registrations" type="checkbox" />
                        </span>
                        <span class="title ellipsis">Registration form</span>
                    </label>

                    <label>
                        <span class="check">
                            <input ng-model="Model.IncludeForms.Followups" type="checkbox" />
                        </span>
                        <span class="title ellipsis">Follow-up forms</span>
                    </label>

                    <label>
                        <span class="check">
                            <input ng-model="Model.IncludeForms.Waivers" type="checkbox" />
                        </span>
                        <span class="title ellipsis">Waivers</span>
                    </label>
                </fieldset>
            </div>
        </form>
    </div>

    <div ng-if="MC.stateParams.reportName == 'ChargeDiscount' || MC.stateParams.reportName == 'Roster' || MC.stateParams.reportName == 'SubscriptionRoster' || MC.stateParams.reportName == 'SignOut' || MC.stateParams.reportName == 'InstructorRoster' || MC.stateParams.reportName == 'StudentAttendance' || MC.stateParams.reportName == 'StudentSummaryAttendance' || MC.stateParams.reportName == 'SignOutSheet' || MC.stateParams.reportName == 'DismissalInformation' || MC.stateParams.reportName == 'CustomAttendance'">
        <form ng-submit="CheckValidation()" class="no-margin">
            <p>
                You can only choose one program
                <br />
            </p>
            <div class="input-control choosen" data-role="input-control" ng-click="updateChosenScope()">
                <select chosen
                        ng-model="Model._SelectedPrograms"
                        data-placeholder="Select the program to run"
                        ng-options="obj.Value as obj.Text for obj in Model.AllPrograms" ng-change="@Html.Ang(m => m.IsAllPrograms) = false"></select>
            </div>


            <div class="clearfix"></div>
            <div ng-if="MC.stateParams.reportName == 'SignOut'" >
                <hr />
                <div class="one-half place-left" >
                    <label ng-if="MC.stateParams.reportName == 'SignOut'">Select date</label>
                    @*<label class="req-star" ng-if="MC.stateParams.reportName == 'SubscriptionInternal'">Start date</label>*@
                    <div class="input-control date-time" data-role="input-control" @Html.AngValidationClassFor(model => model.DateProgram)>
                        <div @Html.AngTooltipValidationFor(model => model.DateProgram)>
                            <input kendo-date-picker k-options="MC.datePickerOptions" ng-model="Model.DateProgram" />
                        </div>
                    </div>
                </div>
            </div>

            <div class="clearfix"></div>
            <hr />
            <button type="submit" class="success large place-right button">Run</button>
            <div class="clearfix"></div>
        </form>
    </div>
    <div ng-if="MC.stateParams.reportName == 'SubscriptionInternal' || MC.stateParams.reportName == 'SubscriptionAttendance'">
        <form ng-submit="CheckValidation()" class="no-margin">
            <p>
                You can choose multi program
                <br />
            </p>
            <div class="input-control choosen" data-role="input-control" ng-click="updateChosenScope()">
                <select chosen multiple
                        ng-model="Model._SelectedPrograms"
                        data-placeholder="Select the program or programs to run"
                        ng-options="obj.Value as obj.Text for obj in Model.AllPrograms" ng-change="@Html.Ang(m => m.IsAllPrograms) = false"></select>
            </div>


            <div class="clearfix"></div>
            <div>
                <hr />
                <div class="one-half place-left">
                    <label class="req-star">Start date</label>
                    <div class="input-control date-time" data-role="input-control" @Html.AngValidationClassFor(model => model.DateProgram)>
                        <div @Html.AngTooltipValidationFor(model => model.DateProgram)>
                            <input kendo-date-picker k-options="MC.datePickerOptions" ng-model="Model.DateProgram" />
                        </div>
                    </div>
                </div>
            </div>

            <div class="clearfix"></div>
            <hr />
            <button type="submit" class="success large place-right button">Run</button>
            <div class="clearfix"></div>
        </form>
    </div>
</div>
